RelayAPI

Add a comment to an idea

POST
/v1/ideas/{id}/comments
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Resource ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.relayapi.dev/v1/ideas/string/comments" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
{
  "id": "string",
  "author_id": "string",
  "author": {
    "id": "string",
    "name": "string",
    "image": "string"
  },
  "content": "string",
  "parent_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo